ページ 11

公式配布を1.5.1に変更しました

Posted: 2015/2/13 14:46
by kimono
こんにちわ。kimonoです :)

この度、JPCERT/CC 脆弱性情報ハンドリングチームより、Zen Cartにおけるクロスサイトスクリプティングの脆弱性などの報告を受け、1.3系の対応が厳しくなってきた件と、新しいPHP5.4への対応も大幅に変更をしていかないといけない点などより、1.3系のバージョンアップを終了し、1.5系をメインの配布に切り替えさせていただきました。

また、今回は、1.3系の修正ファイルの提供、1.5系の入れ替えも行っておりますので、安心してバージョンアップしてご利用ください。
ただし、1.3系はこのままではPHP5.4系では動作しません。

1.5系も本家では1.5.4まで公開されており、今回の脆弱性も1.5.3や1.5.4では起こらないもののため、1.5.1系もこちらで最終版とし、1.5.4への切り替え開発を行っていきます。

残念ながら、1.3系から1.5系へのバージョンアップとしてはできませんが、1.5系を新規にインストールした後、1.3系のデーターのみは1.5系へそのままご利用が可能ですので、入れ替えてご利用いただくことをオススメいたします。